Randomize or shuffle from command line

February 03, 2016 06:07 - Dennis Bautell

Status: Rejected Start date: February 03, 2016

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version:    

Description

I request an option to ensure that playback is shuffled when I launch from the command line.

Either:

-S, --shuffle

Sets shuffle=TRUE

(I suppose this one begs for --noshuffle or something as well)

or:

-R, --randomize

Presorts playlist in random order

would be awesome.

Thanks!

History

#1 - February 03, 2016 14:33 - Michael Schwendt

audtool can do that already, and if you want to enforce shuffling, this would work:

audtool playlist-shuffle-status|grep "on" || audtool playlist-shuffle-toggle

#2 - July 10, 2016 06:30 - John Lindgren

- Status changed from New to Rejected

As Mr. Schwendt stated, this feature exists already.  Closing.
